<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.DemVehicleFightMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.DemVehicleFight">
        <id column="id" property="id" />
        <result column="vehicle_fight_id" property="vehicleFightId" />
        <result column="fire_orga_id" property="fireOrgaId" />
        <result column="police_record_id" property="policeRecordId" />
        <result column="vehicle_id" property="vehicleId" />
        <result column="equip_type_code" property="equipTypeCode" />
        <result column="zzgnmc" property="zzgnmc" />
        <result column="fight_function_code" property="fightFunctionCode" />
        <result column="notice_time" property="noticeTime" />
        <result column="dispatch_time" property="dispatchTime" />
        <result column="arrival_time" property="arrivalTime" />
        <result column="effluent_time" property="effluentTime" />
        <result column="cut_off_time" property="cutOffTime" />
        <result column="return_time" property="returnTime" />
        <result column="actual_dispatch_time" property="actualDispatchTime" />
        <result column="driver" property="driver" />
        <result column="driver_id" property="driverId" />
        <result column="commander" property="commander" />
        <result column="commander_id" property="commanderId" />
        <result column="reporter" property="reporter" />
        <result column="reporter_id" property="reporterId" />
        <result column="soldier" property="soldier" />
        <result column="soldier_id" property="soldierId" />
        <result column="vehicle_abbreviat" property="vehicleAbbreviat" />
        <result column="time_stamp" property="timeStamp" />
        <result column="record_status" property="recordStatus" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="charge_squadron" property="chargeSquadron" />
        <result column="orga_abbreviat" property="orgaAbbreviat" />
        <result column="case_id" property="caseId" />
        <result column="dthh" property="dthh" />
    </resultMap>

</mapper>
